Subject: Re: [PATCH] Freescale Ethernet combined driver

From: Pantelis Antoniou <[email-masked]>
Date: Thu, 12 May 2005 13:43:38 +0300

Jaap-Jan Boor wrote:
> Hi,
> 
> May be a little late (I'm trying to catch up on all mailing list mail)
> but I was wondering if the io port handling functions I see now in these 
> patches
> should not be 'atomic'. So toggling MII pins does not interfere with 
> toggling
> e.g. I2C bit-bang interface pins when those pins happen to be on the same
> port (A/B/C/D/E).
> 
> best regards,
> 
> Jaap-Jan
> 
> 
> 

Jaap-Jan

All mii operations are done under a spinlock with interrupts disabled.

Regards

Pantelis